<?php


namespace Diamond\Domain\Site\Contracts;


interface SiteFilterInterface
{
    /**
     * @param int $domainId
     * @return mixed
     */
    public function setFilterBySiteId(?int $domainId);

    /**
     * @return int
     */
    public function getFilterBySiteId():?int;
}